Subject: Re: [v6ops] v6ops Digest, Vol 52, Issue 41

From: Mark Andrews <[email-masked]>
Date: Sun, 14 Dec 2014 09:15:01 +1100

Mark Andrews writes:
> 
> In message <CAAdbxrpgsdJJ0exP435JSB=m7RV=[email-masked]
> m>
> , Tariq Saraj writes:
> > 
> > There are some issues with 6rd as well, IPv6 with all its powerful features
> > is still under critical objections in academia just because of the urgency
> > shown by IETF in standardizing protocols like 6to4 and 6rd. 6to4 clearly
> > mentioned that it cannot support multicast at layer-3, on the other end 6rd
> > claimed that multicast can be provided, my question is that while
> > standardizing 6rd which at that time was just supporting unicast traffic
> > traversing across IPv4 network and its still not matured enough to provide
> > multicast support yet in its functionality other than using some proxy
> > support for multicast traffic. why It was standardized ?
> 
> 6to4 and 6rd are interim solutions for delivering IPv6 over IPv4.
> They were standardized so that manufactures could ship products
> that interoperate.
> 
> Engineering is all about trade offs.  With 6to4 and 6rd it is about
> delivering IPv6 unicast in a timely manner while waiting for the
> intermediate network components to be upgraded to support IPv6.
> 
> If you need IPv6 multicast then you need to arrange for it to be
> delivered.  You can still run multicast tunnels over 6to4 and 6rd
> if you need to.  They just don't supply multicast natively.
> 
> I suspect you will find you will need to do this even with native
> IPv6 as many ISP's are in the business of delivering global multicast

Missed the key word "not"

	are *not* in the business of delivering global multicast

> traffic.
> 
> > a common
> > university level student is considering IPv6 nothing more than just a large
> > address space. The support for multicast traffic is increasing every day at
> > application level. My request at this forum is to consider 6rd along with
> > the 6to4 so that in future both of these protocols not to become a part of
> > any network device. I personally feels that instead of supporting to
> > promote the IPv6 both of these protocols are becoming obstacles in this
> > regards. I prefer using GRE over these automatic tunneling mechanisms at
> > least GRE supports multicast on network layer and let the application
> > program to design his/her application in more different ways.
> 
> Mark
> -- 
> Mark Andrews, ISC
> 1 Seymour St., Dundas Valley, NSW 2117, Australia
> PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]